org.eclipse.wst.jsdt.chromium.debug.ui

## Class WizardUtils.LogicBasedWizard

- java.lang.Object
- - Wizard
  - - org.eclipse.wst.jsdt.chromium.debug.ui.WizardUtils.LogicBasedWizard

Enclosing class:
  WizardUtils

    public static class WizardUtils.LogicBasedWizard
    extends Wizard

A simple implementation of Eclipse `IWizard` that works with `WizardUtils.WizardPageSet` and `WizardUtils.WizardLogic`. The logic is responsible for updating a `WizardUtils.WizardFinisher` value as user input changes.

### Constructor Summary

Constructors
Constructor and Description
`LogicBasedWizard(WizardUtils.WizardPageSet pageSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canFinish()`
`void` `createPageControls(Composite pageContainer)`
`void` `dispose()`
`IWizardPage` `getNextPage(IWizardPage page)`
`IWizardPage` `getPreviousPage(IWizardPage page)`
`IWizardPage` `getStartingPage()`
`boolean` `performFinish()`
`void` `setWizardFinisher(WizardUtils.WizardFinisher wizardFinisher, DialogUtils.Message message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogicBasedWizard

    public LogicBasedWizard(WizardUtils.WizardPageSet pageSet)

### Method Detail

#### createPageControls

    public void createPageControls(Composite pageContainer)

#### performFinish

    public boolean performFinish()

#### canFinish

    public boolean canFinish()

#### getNextPage

    public IWizardPage getNextPage(IWizardPage page)

#### getPreviousPage

    public IWizardPage getPreviousPage(IWizardPage page)

#### getStartingPage

    public IWizardPage getStartingPage()

#### setWizardFinisher

    public void setWizardFinisher(WizardUtils.WizardFinisher wizardFinisher,
                                  DialogUtils.Message message)

#### dispose

    public void dispose()